Namespaces | Enumerations
EBOOKOPFParser.cpp File Reference
`#include <cassert>`
`#include <deque>`
`#include <stack>`
`#include <string>`
`#include <boost/optional.hpp>`
`#include <boost/unordered_map.hpp>`
`#include "EBOOKHTMLParser.h"`
`#include "EBOOKOPFParser.h"`
`#include "EBOOKOPFToken.h"`
`#include "EBOOKSubDocument.h"`
`#include "EBOOKXMLParser.h"`

## Namespaces
| libebook

## Enumerations
enum | libebook::@17::SpineItemType

## Enumeration Type Documentation

## § SpineItemType

enum libebook::@17::SpineItemType

## Variable Documentation

## § event

optional<int> event

## § href

optional<string> href

## § id

optional<string> id

## § idref

optional<string> idref

## § linear

optional<bool> linear

## § m_contextStack

stack<Context> m_contextStack
| private

## § m_currentAttrs

SavedAttributes m_currentAttrs
| private

## § m_elementStack

stack<int> m_elementStack
| private

## § m_package

Package& m_package
| private

## § manifest

Manifest_t manifest

## § mediaType

optional<string> mediaType

## § metadata

RVNGPropertyList metadata

Referenced by libebook::XMLCollector::collectMetadata(), libebook::ZTXTParser::openDocument(), libebook::PDBParser::openDocument(), libebook::TDParser::openDocument(), and libebook::RBParser::parse().

## § mimetype

string mimetype

Referenced by libebook::LRFCollector::insertImage().

## § path

string path

## § role

optional<int> role

## § spine

Spine_t spine

## § type

SpineItemType type